#!/bin/ksh
#################################################################################
# Script author:        Victor Murillo 
# Script name:  	    fs_check.ksh 
# Date:                 14 Aug 2007 
# Purpouse:	            Monitor Disk free space 
# Use:		      Run from crontab each 10 min. Include in file fsmonitor.txt
#                     the Filesystems to Monitoring. Modify Umbral Monitor
#                     Variables ( warn & crit )
# Notification:	      WARNING is append to System Operating messages
#################################################################################
## Global Variables 
# Server Name
SERVER=`uname -n`

## Format Date messages "MONTH DAY HR:MIN:SEC"
FECHA=$(date +"%b %d %H:%M")

## Umbral. Modify this Umbral Monitor
warn="90"
crit="95"

## List. Modify this file with your FileSystems list
list=/var/tmp/fsmonitor.txt
################################################################################
## Main Programm

os=`uname -s`
outsol=/var/adm/messages
outlinux=/var/log/messages

case $os in
SunOS)

if [ -e $list ]; then
for line in $(cat $list)
do
df  -k $line | awk '{print $5"	"$6}' | grep -vi Mounted |  while read fs
  do
  vol=`echo $fs | awk -F% '{print $1}'`
  fs_nam=`echo $fs | awk -F% '{print $2}'`
   if [ $vol -ge $warn ] && [ $vol -lt $crit ]
      then
      echo "$FECHA $SERVER WARNING $vol% $fs_nam" >>  $outsol 
   fi

   if [ $vol -ge $crit ]; then
      echo "$FECHA $SERVER CRITICAL $vol% $fs_nam" >>  $outsol
   fi

 done
done
else
   echo "\t[ FAIL ] Please, create the file list /var/tmp/fsmonitor.txt\n" 
fi
;;

Linux)

if [ -f $list ]; then
for line in $(cat $list)
do
df  -k $line | awk '{print $5"        "$6}' | grep -vi Mounted |  while read fs
  do
  vol=`echo $fs | awk -F% '{print $1}'`
  fs_nam=`echo $fs | awk -F% '{print $2}'`
   if [ $vol -ge $warn ] && [ $vol -lt $crit ]
      then
      echo "$FECHA $SERVER CRITICAL $vol% $fs_nam" >>  $outlinux
   fi

   if [ $vol -ge $crit ]; then
      echo "$FECHA $SERVER CRITICAL $vol% $fs_nam"
   fi

 done
done
else
   echo "\t[ FAIL ] Please, create the file list /var/tmp/fsmonitor.txt\n"
fi

;;
esac 

# End Program
